%global debug_package   %{nil}

%global longname org.nickvision.tubeconverter

Name:		parabolic
Version:	2025.5.3
Release:	1%{?dist}
Summary:	A basic yt-dlp frontend
License:	GPLv3
URL:		https://nickvision.org
Source0:	https://github.com/NickvisionApps/Parabolic/archive/refs/tags/%{version}.tar.gz
Patch0:		spinner.patch


BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	libnick-devel
BuildRequires:	libcurl-devel
BuildRequires:	openssl-devel
BuildRequires:	glib2-devel
BuildRequires:	libsecret-devel
BuildRequires:	gtk4-devel
BuildRequires:	libadwaita-devel
BuildRequires:	yelp-devel
BuildRequires:	itstool
BuildRequires:	yelp-tools

BuildRequires:	libxml++50-devel
BuildRequires:	blueprint-compiler

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  chrpath
Requires:       hicolor-icon-theme

%description

* Supports downloading videos in multiple formats (mp4, webm, mp3, opus, flac, and wav)
* Run multiple downloads at a time
* Supports downloading metadata and video subtitles

%prep
%autosetup -n Parabolic-%{version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install
chrpath --delete %{buildroot}%{_libdir}/%{longname}/%{longname}.gnome
rm -rf %{buildroot}%{_libdir}/%{longname}/CMakeFiles/
rm -rf %{buildroot}%{_libdir}/%{longname}/Makefile
rm -rf %{buildroot}%{_libdir}/%{longname}/cmake_install.cmake
rm -rf %{buildroot}%{_libdir}/%{longname}/gnome.h
rm %{buildroot}%{_libdir}/%{longname}/%{longname}.metainfo.xml

mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/pixmaps
mv %{buildroot}%{_libdir}/%{longname}/%{longname}.desktop %{buildroot}%{_datadir}/applications/
cp resources/%{longname}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

cp -d %{_vpath_builddir}/libparabolic/liblibparabolic.so* %{buildroot}%{_libdir}/

%find_lang %{name} --with-gnome

%check
#ctest -V %{?_smp_mflags} .
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{longname}.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{longname}.desktop
#exit 1

%files  -f %{name}.lang
%license COPYING
%doc README.md CONTRIBUTING.md
%{_bindir}/%{longname}
%{_libdir}/%{longname}/
%{_libdir}/liblibparabolic.so*
%{_datadir}/applications/%{longname}.desktop
%{_metainfodir}/%{longname}.metainfo.xml
%{_datadir}/icons/hicolor/*/apps/%{longname}*.svg
%{_datadir}/dbus-1/services/%{longname}.service
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed May 14 2025 josef radinger <cheese@nosuchhost.net> - 2025.5.3-1
- bump version

* Fri May 09 2025 josef radinger <cheese@nosuchhost.net> - 2025.5.1-1
- bump version

* Tue May 06 2025 josef radinger <cheese@nosuchhost.net> - 2025.5.0-1
- bump version

* Sun Apr 06 2025 josef radinger <cheese@nosuchhost.net> - 2025.1.4-3
- rebuild against new libnick
- add spinner.patch

* Sat Feb 15 2025 josef radinger <cheese@nosuchhost.net> - 2025.1.4-2
- add yelp-pages (itstool+yelp-builder needed)

* Fri Jan 31 2025 josef radinger <cheese@nosuchhost.net> - 2025.1.4-1
- bump version

* Sun Jan 19 2025 josef radinger <cheese@nosuchhost.net> - 2025.1.2-1
- bump version

* Fri Jan 17 2025 josef radinger <cheese@nosuchhost.net> - 2025.1.1-1
- initial package

